Bug 228287 - Make pulseaudio play nicely with fast user switching
Make pulseaudio play nicely with fast user switching
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-12 10:31 EST by Matthias Clasen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-05 14:32:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2007-02-12 10:31:54 EST
Currently pulseaudio keeps sound devices open during its entire lifetime, making
it impossible to use sound in the second session. For our fast user switching
effort, we've changed things so that devices now have acls that allow all users
with active sessions access, but that doesn't fix the problem with already
opened devices (and the kernel doesn't have revoke).

The short-term plan is to make pa react to ConsoleKit signals about the session
being deactivated, and voluntarily close devices then. 

Monty is looking into this.
Comment 1 Lennart Poettering 2007-09-05 14:32:27 EDT
This is now fixed in Rawhide. PA now listens for HAL ACL changes and acts
appropriately. There still seem to be some bugs with HAL not setting ACLs always
properly. But that's a HAL bug (dn't know which bz number right now), not a PA
bug, so I am closing this one now.

Note You need to log in before you can comment on or make changes to this bug.